# *************************************************************************************************** 
# **** Document Type : Configuration files for Log4J loggging mechanism/Kautiya			  ***
# **** Created by    : Open Software Technology (I) Ltd./Amrit Chhetri					  ***	
# **** Copy Right    : Open Software Technology (I) Ltd.							  ***
# ***************************************************************************************************

# --------------------------ERROR LEVEL---------------------------
# DEBUG-->INFO-->WARN--> ERROR-->FATAL


# Defining the Console Appender
#log4j.rootCategory=DEBUG, APPENDER1
#log4j.appender.APPENDER1=org.apache.log4j.ConsoleAppender
#log4j.appender.APPENDER1.layout=org.apache.log4j.PatternLayout
#log4j.appender.APPENDER1.layout.ConversionPattern=%d %-5p [%t] %-17c{2} (%13F:%L) %3x - %m%n




#********************** Defining the File Appneder for Kautilya BI/ER ******************************
# 1. The logger level INFO/DEBUG sets the priority level.
# 2. The messges of the given level and its higher level are displayed.
	
#log4j.rootCategory= DEBUG, APPENDER2
#log4j.appender.APPENDER2=org.apache.log4j.FileAppender
#log4j.appender.APPENDER2.File=KAUT_LOG_Tomcat/kautilya.log
#log4j.appender.APPENDER2.File=${user.home}/SIS_FOLDER/xxx.log
# --------------- Pattern for APPENDER2-----------------------------
#log4j.appender.APPENDER2.layout=org.apache.log4j.PatternLayout
#log4j.appender.APPENDER2.layout.ConversionPattern=%-5p [%t] %c{2} - %m%n
#---------------- File truncation configuration --------------------
#log4j.appender.APPENDER2.Append=false or true


#******************** Defining the DateFileAppender for Kautilya **********************************
log4j.rootCategory= DEBUG, DateAPPENDER
log4j.appender.DateAPPENDER=biz.minaret.log4j.DatedFileAppender
log4j.appender.DateAPPENDER.layout=org.apache.log4j.PatternLayout
log4j.appender.DateAPPENDER.layout.ConversionPattern=%-5p [%t] %c{2} - %m%n

#--------------Generating the log file name----------------------------------------------------------
#-------Generates file like kautilya<DatePart>.log
log4j.appender.DateAPPENDER.Directory=E:\\MyWorkSpace\\Kautilya-SourceCode\\log
log4j.appender.DateAPPENDER.Prefix=Kautilya
log4j.appender.DateAPPENDER.Suffix=.log








